<?php
if ($results === FALSE) {
	echo "<p>URL в базе данных отсутствуют.</p>";
}
else {
	//Формируем таблицу
?>
<table summary="Результаты проверок">
<caption>Результаты проверок по всем URL</caption>
<tr>
	<th scope="col">№ п/п</th>
	<th scope="col">URL</th>
	<th scope="col">Количество проверок</th>
	<th scope="col">Количество ошибок</th>
	<th scope="col">Среднее время отклика</th>
	<th scope="col">Средний размер</th>
	<th scope="col">Средняя скорость</th>
	<th scope="col">&nbsp;</th>
</tr>
<?php
$i = 1;
foreach ($results as $result) {
	if ($i % 2 == 0) {
		echo "<tr class=\"even\">";
	}
	else {
		echo "<tr class=\"odd\">";
	}
	echo "<td class=\"center\">".$i."</td>";
	echo "<td class=\"left\">".anchor('main/urldetails/'.$result['id'], $result['url'],
						array('title'=>'Подробно'))."</td>";
	if ($result['totalRequests'] == 0) {
		echo "<td class=\"right\">0</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>";
	}
	else {
		echo "<td class=\"right\">".$result['totalRequests']."</td>";
		$errPercent = round($result['totalErrors']/$result['totalRequests']*100.0, 3);
		if ($errPercent < 10) {
			$color = "green";
		}
		elseif ($errPercent < 25) {
			$color = "yellow";
		}
		else {
			$color = "red";
		}
		echo "<td class=\"right\">".$result['totalErrors']." <span class=\"".$color."\">(".$errPercent."%)</span></td>";
		echo "<td class=\"right\">".round($result['avgResponse'], 3)."</td>";
		echo "<td class=\"right\">".round($result['avgLength'], 3)."</td>";
		echo "<td class=\"right\">".round($result['avgSpeed'], 3)."</td>";
	}
	echo "<td class=\"right\">".anchor('main/removeurl/'.$result['id'], "Удалить",
		array("onclick"=>"return confirm('Точно удалить?')"))."</td>";
	echo "</tr>";
	$i++;
}
?>
</table>
<?php
}
?>
<?php
if (isset($error)) {
	echo "<h1>".$error."</h1>";
}
?>
<?php echo form_open('main/addurl'); ?>
<p><label for="newurl"><strong>URL</strong> (включая http://) : </label>
<input type="text" name="newurl" id="newurl" size="60" />
<input type="submit" value="Добавить URL" /></p>
</form>

<?php echo form_open('main/ping', array('id'=>'pingForm')); ?>
<p><input type="submit" value="Пинговать все !" /></p>
</form>